selSpots {maigesPack} | R Documentation

## Select spots to use in normalisation

### Description

Function to select spots to be used in microarray normalisation.

### Usage

    selSpots(obj=NULL, sigNoise=1, rmFlag=NULL, gLabelsID=c("Name"),
             remove=list(c("BLANK","DAP","LYS","PHE","Q_GENE","THR","TRP")),
             badSpots=NULL, badLabel=NULL)

### Arguments

`obj` | object of class `maigesRaw`.
`sigNoise` | positive real number indicating the cutoff to remove spots with signal-to-noise ratio below it.
`rmFlag` | vector of flag symbols to be removed (for normalisation). These flags are stored in the slot `Flags` from `maigesRaw` class.
`gLabelsID` | character vector indicating the gene labels to be searched to exclude that ones specified in `remove` argument.
`remove` | list of same length as `GlabelsID` containing character vector indicating the symbols of spots to be removed, according to the `GlabelsID` argument.
`badSpots` | index of bad spots (numeric or logical) identifying bad spots. May be the gene labels, with label ID specified by the argument `badLabel`.
`badLabel` | character string specifying the gene label ID for remove `badSpots`.

### Details

This function takes the object of class `maigesRaw` and actualise the slot `UseSpots` according with the arguments passed to the function. This slot is read by the normalisation functions `normLoc`, `normOLIN`, `normRepLoess`, `normScaleLimma` and `normScaleMarray` to use only the spots that passed the criteria specified here.

### Value

This function returns another object of class `maigesRaw` with the `UseSpots` slot actualised.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### Examples

    ## Loading the dataset
    data(gastro)

    ## Filtering all spots with signal2noise ratio (Sf/Sb or Rf/Rb) greater
    ## or equal to 1 and that have 'Name' label as 'BLANK', 'DAP', ..., 'TRP'.
    gastro.raw2 = selSpots(gastro.raw, sigNoise=1, rmFlag=NULL, gLabelsID="Name",
      remove=list(c("BLANK","DAP","LYS","PHE","Q_GENE","THR","TRP")))

    ## To see the number of spots that suvived the filtering above do
    apply(gastro.raw2@UseSpots, 2, sum)

    ## To do the same filtering as above, also filtering flags marcke as 1
    ## and 4 do
    gastro.raw2 = selSpots(gastro.raw, sigNoise=1, rmFlag=c(1,4), gLabelsID="Name",
      remove=list(c("BLANK","DAP","LYS","PHE","Q_GENE","THR","TRP")))

    apply(gastro.raw2@UseSpots, 2, sum)

[Package maigesPack version 1.4.0 Index]